# Snapshot report for `test/test.js`

The actual snapshot is saved in `test.js.snap`.

Generated by [AVA](https://ava.li).

## generates * imports

> Snapshot 1

    `import * as foo from 'foo';␊
    ␊
    console.log(foo.bar);␊
    console.log(foo.baz);␊
    `

## handles redundant keys

> Snapshot 1

    `import { default as $inject_Buffer_isBuffer } from 'is-buffer';␊
    ␊
    $inject_Buffer_isBuffer('foo');␊
    `

## handles shadowed variables

> Snapshot 1

    `function launch($) {␊
      $(() => {␊
        console.log('ready');␊
      });␊
    }␊
    ␊
    launch((fn) => fn());␊
    `

## handles shorthand properties

> Snapshot 1

    `import { Promise as Promise } from 'es6-promise';␊
    ␊
    const polyfills = { Promise };␊
    polyfills.Promise.resolve().then(() => 'it works');␊
    `

## ignores existing imports

> Snapshot 1

    `import $ from 'jquery';␊
    ␊
    $(() => {␊
      console.log('ready');␊
    });␊
    `

## inserts a default import statement

> Snapshot 1

    `import { default as $ } from 'jquery';␊
    ␊
    $(() => {␊
      console.log('ready');␊
    });␊
    `

## inserts a named import statement

> Snapshot 1

    `import { Promise as Promise } from 'es6-promise';␊
    ␊
    Promise.all([thisThing, thatThing]).then(() => someOtherThing);␊
    `

## overwrites keypaths

> Snapshot 1

    `import { default as $inject_Object_assign } from 'fixtures/keypaths/polyfills/object-assign.js';␊
    ␊
    const original = { foo: 'bar' };␊
    const clone = $inject_Object_assign({}, original);␊
    ␊
    export default clone;␊
    `

## transpiles non-JS files but handles failures to parse

> Snapshot 1

    `import './styles.css';␊
    import foo from './foo.es6';␊
    ␊
    assert.equal(foo, path.join('..', 'baz'));␊
    `

## uses the modules property

> Snapshot 1

    `import { default as $ } from 'jquery';␊
    ␊
    $(() => {␊
      console.log('ready');␊
    });␊
    `
